<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Shift Pattern</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Shift Pattern
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Shift Pattern</li>
    </ol>
</section>

<section layout:fragment="main" class="content">


    <div class="row">

        <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Shift Pattern</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" th:action="@{/setting/timemanagement/pattern/schedule/save}" th:object="${patternSchedule}" method="post">
                    <div class="box-body">
                            <div class="col-md-12">
                                <div class="input-group input-group-sm">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label>Name</label>
                                            <div class="col-md-12">
                                                <input type="text" class="form-control" th:field="*{scheduleName}" name="scheduleName" id="scheduleName" placeholder="Schedule name">
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label>Pattern</label>
                                            <div class="col-md-12">
                                                <select class="form-control select2" name="pattern" th:field="*{pattern}" id="pattern" style="width: 100%;">
                                                    <option th:each="data : ${listPattern}"
                                                            th:text="${data.patternName}"
                                                            th:value="${data.id}">sdasd</option>
                                                </select>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label>Efective Date</label>
                                            <div class="col-md-12">
                                                <div class="input-group date">
                                                    <div class="input-group-addon">
                                                        <i class="fa fa-calendar"></i>
                                                    </div>
                                                    <input type="text" class="form-control pull-right" id="efectiveDateString" th:field="*{efectiveDateString}" name="efectiveDateString" placeholder="MM/dd/yyyy">
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label>Initial Shift</label>
                                            <div class="col-md-12">
                                                <input type="text" class="form-control" th:field="*{initialPattern}" name="initialPattern" id="initialPattern" placeholder="Initial">
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <input type="checkbox" class="flat-red" th:field="*{overideNationalHoliday}" value="AKTIF" name="overideNationalHoliday">
                                                Override National Holiday
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <input type="checkbox" class="flat-red" th:field="*{overideCompanyHoliday}" value="AKTIF" name="overideCompanyHoliday">
                                                Override Company Holiday
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <input type="checkbox" class="flat-red" th:field="*{flexible}" value="AKTIF" name="flexible">
                                                Flexible
                                            </div>
                                        </div>

                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <input type="checkbox" class="flat-red" th:field="*{attendance}" value="AKTIF" name="attendance">
                                                Attendance Required
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <input type="checkbox" class="flat-red" th:field="*{overtimeWorkingDay}" value="AKTIF" name="overtimeWorkingDay">
                                                Overtime Working Day
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <input type="checkbox" class="flat-red" th:field="*{overtimeHoliday}" value="AKTIF" name="overtimeHoliday">
                                                Overtime Holiday
                                            </div>
                                        </div>
                                    </div>
                                    <input type="hidden" name="id" th:field="*{id}">
                                </div>
                            </div>
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">
                        <a th:href="@{/setting/timemanagement/pattern/schedule}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>


</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#efectiveDateString').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>